LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
LinkBack Search this Thread
Old 06-22-2006, 09:21 AM   #1
rioch
Member
 
Registered: Sep 2003
Location: UK
Distribution: opensuse 10.1
Posts: 75

Rep: Reputation: 16
smart gui - support for gtk python interface


I have recently performed an upgrade on my SUSE 10.1 system and as such, smart --gui (the graphical user interface for smart) will not load, with the error:

error: System has no support for gtk python interface

I have gtk2 and python-gtk installed, and smart gui was working prior to this error. Does anyone know what the problem could be? I have tried downgrading packages but without any change.
 
Old 06-24-2006, 02:42 PM   #2
xode
Member
 
Registered: Aug 2003
Distribution: Mandrake 9.0; FC4; FC8; SUSE 10.3
Posts: 469

Rep: Reputation: 32
What packages did you upgrade just prior to the error appearing?
 
Old 06-25-2006, 02:43 PM   #3
rioch
Member
 
Registered: Sep 2003
Location: UK
Distribution: opensuse 10.1
Posts: 75

Original Poster
Rep: Reputation: 16
I'm not entirely sure what changed. I just ran 'smart upgrade' and allowed it to finish. Annoyingly, afterwards I was aware that the problem occurred but smart doesn't have a rollback function, neither does it appear to log any recent changes. I was hoping this would be a common problem but I seem to be the only one (recently). Other posts from about 6 months ago suggest upgrading gtk2 and python-gtk but this doesn't resolve the issue for me.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
any distribution with smart battery support? Shioni Linux - General 0 06-14-2006 02:38 PM
RSA Smart Card (pcmcia) support for linux? bingbong Linux - Enterprise 2 01-20-2005 05:33 PM
smart media card support fatherg Linux - General 17 12-22-2004 08:01 PM
WineX, python-gnome, and python-gtk DrD Fedora 0 08-03-2004 12:11 PM
Python IDLE Interface Odd_Bloke Linux - Software 4 08-26-2003 01:58 PM


All times are GMT -5. The time now is 11:01 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration